#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file '/home/joris/Projects/kmusicmanager/libkmusicmanager/dialogs/mmsettings.ui'
**
** Created: Wed Mar 30 11:08:40 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.4   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "mmsettings.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <klistbox.h>
#include <kpushbutton.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "/home/joris/Projects/kmusicmanager/libkmusicmanager/dialogs/mmsettings.ui.h"

/*
 *  Constructs a MMSettings as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
MMSettings::MMSettings( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "MMSettings" );
    MMSettingsLayout = new QHBoxLayout( this, 11, 6, "MMSettingsLayout"); 

    layout10 = new QVBoxLayout( 0, 0, 6, "layout10"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QHBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    textLabel1 = new QLabel( groupBox1, "textLabel1" );
    layout4->addWidget( textLabel1 );

    shown_cols = new KListBox( groupBox1, "shown_cols" );
    layout4->addWidget( shown_cols );
    layout8->addLayout( layout4 );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    textLabel1_2 = new QLabel( groupBox1, "textLabel1_2" );
    layout7->addWidget( textLabel1_2 );

    add_btn = new KPushButton( groupBox1, "add_btn" );
    layout7->addWidget( add_btn );

    remove_btn = new KPushButton( groupBox1, "remove_btn" );
    layout7->addWidget( remove_btn );
    spacer1 = new QSpacerItem( 20, 60, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout7->addItem( spacer1 );

    move_up_btn = new KPushButton( groupBox1, "move_up_btn" );
    layout7->addWidget( move_up_btn );

    move_down_btn = new KPushButton( groupBox1, "move_down_btn" );
    layout7->addWidget( move_down_btn );
    layout8->addLayout( layout7 );

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    textLabel2 = new QLabel( groupBox1, "textLabel2" );
    layout5->addWidget( textLabel2 );

    hidden_cols = new KListBox( groupBox1, "hidden_cols" );
    layout5->addWidget( hidden_cols );
    layout8->addLayout( layout5 );
    groupBox1Layout->addLayout( layout8 );
    layout10->addWidget( groupBox1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QHBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    systray_ch = new QCheckBox( groupBox2, "systray_ch" );
    layout9->addWidget( systray_ch );

    layout8_2 = new QHBoxLayout( 0, 0, 6, "layout8_2"); 

    textLabel1_3 = new QLabel( groupBox2, "textLabel1_3" );
    layout8_2->addWidget( textLabel1_3 );

    mm_backend = new QComboBox( FALSE, groupBox2, "mm_backend" );
    layout8_2->addWidget( mm_backend );
    spacer2 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8_2->addItem( spacer2 );
    layout9->addLayout( layout8_2 );
    groupBox2Layout->addLayout( layout9 );
    layout10->addWidget( groupBox2 );
    MMSettingsLayout->addLayout( layout10 );
    languageChange();
    resize( QSize(378, 330).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( add_btn, SIGNAL( clicked() ), this, SLOT( onAdd() ) );
    connect( remove_btn, SIGNAL( clicked() ), this, SLOT( onRemove() ) );
    connect( move_up_btn, SIGNAL( clicked() ), this, SLOT( onMoveUp() ) );
    connect( move_down_btn, SIGNAL( clicked() ), this, SLOT( onMoveDown() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
MMSettings::~MMSettings()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void MMSettings::languageChange()
{
    setCaption( tr2i18n( "MusicMan Settings" ) );
    groupBox1->setTitle( tr2i18n( "Music Collection View" ) );
    textLabel1->setText( tr2i18n( "Shown columns" ) );
    textLabel1_2->setText( QString::null );
    add_btn->setText( tr2i18n( "<<" ) );
    remove_btn->setText( tr2i18n( ">>" ) );
    move_up_btn->setText( tr2i18n( "Move Up" ) );
    move_down_btn->setText( tr2i18n( "Move Down" ) );
    textLabel2->setText( tr2i18n( "Hidden columns" ) );
    groupBox2->setTitle( tr2i18n( "General" ) );
    systray_ch->setText( tr2i18n( "Show system tray icon" ) );
    textLabel1_3->setText( tr2i18n( "Audio system :" ) );
}

#include "mmsettings.moc"
