/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef MUSICMANPREFDLG_H
#define MUSICMANPREFDLG_H

#include <kdialogbase.h>
#include <qpixmap.h>

class MusicManPrefPageOne;
class KMusicManager;
class MMSettings;
/**
@author Joris Guisson
*/
class MusicManPrefDlg : public KDialogBase
{
	Q_OBJECT
	
	KMusicManager* mm;
	QPixmap m_page_one_icon;
	MusicManPrefPageOne* m_page_one;
public:
	MusicManPrefDlg(KMusicManager* mm);
	virtual ~MusicManPrefDlg();

	void slotOk();
	void slotApply();
};

class MusicManPrefPageOne : public QFrame
{
	Q_OBJECT
			
	MMSettings* mms;
public:
	MusicManPrefPageOne(KMusicManager* mm,QWidget *parent = 0);
	
	void apply(KMusicManager* mm);
};

#endif
