/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/
#include <kfiledialog.h>
#include <klocale.h>

void DirManDlg::addDir()
{
	QString dir = KFileDialog::getExistingDirectory(QString::null,this,i18n("Select a directory"));
	if (dir != QString::null)
	{
		m_db->addDir(dir);
		dir_list->insertItem(dir);
	}
}


void DirManDlg::removeDir()
{
	if (dir_list->currentItem() != -1)
	{
		m_db->removeDir(dir_list->currentText());
		dir_list->removeItem(dir_list->currentItem());
	}
}


void DirManDlg::setMusicDataBase( MusicDatabase * db )
{
	m_db = db;
	for (DBDirItr i = db->beginDirs();i != db->endDirs();i++)
	{
		dir_list->insertItem(i.key());
	}
}
