/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef TIMEDISPLAYLABEL_H
#define TIMEDISPLAYLABEL_H

#include <qlabel.h>

/**
@author Joris Guisson
*/
class TimeDisplayLabel : public QLabel
{
	Q_OBJECT
	int curr,total;
	
	void updateTime();
public:
	TimeDisplayLabel(QWidget *parent = 0, const char *name = 0);
	virtual ~TimeDisplayLabel();

public slots:
	void setTotalTime(int tt);
	void setCurrentTime(int ct);
};

#endif
