/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef VOLUMEWIDGET_H
#define VOLUMEWIDGET_H

#include <qwidget.h>
#include <qpixmap.h>

class QSlider;
/**
@author Joris Guisson
*/
class VolumeWidget : public QWidget
{
	Q_OBJECT
			
	QSlider* slider;
	QPixmap pix;

public:
	VolumeWidget(QWidget *parent = 0, const char *name = 0);
	virtual ~VolumeWidget();

public slots:
	void setVolume(float vol);
	
signals:
	void volumeChanged(float vol);
	
private slots:
	void onValueChanged(int val);
};

#endif
