/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/
#ifndef STATUSBAR_H
#define STATUSBAR_H

#include <qobject.h>

class KMusicManager;
class MusicListViewInfoLabel;
class QLabel;
class TimeDisplayLabel;
class MainWindow;

/**
@author Joris Guisson
*/
class MMStatusBar : public QObject
{
	Q_OBJECT
			
	KMusicManager* mm;
	MusicListViewInfoLabel* m_view_info_label;
	QLabel* m_curr_song;
	TimeDisplayLabel* m_time_display;
public:
	MMStatusBar(KMusicManager* mm,MainWindow* wnd,const char *name = 0);
	virtual ~MMStatusBar();
	
public slots:
	void onPlayingSong(const QString & filename);
};

#endif
