/***************************************************************************
 *   Copyright (C) 2004 by Joris Guisson                                   *
 *   joris.guisson@pandora.be                                       *
 *                                                                         *
 ***************************************************************************/

#ifndef TAGEDITORIMPL_H
#define TAGEDITORIMPL_H

#include "tageditor.h"

class TagEditorImpl : public TagEditor
{
	Q_OBJECT

	bool isEqual(const QString & a,const QString & b) const;
public:
	TagEditorImpl(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~TagEditorImpl();

	bool isModified() const;

public slots:
	virtual void savePressed();
	virtual void setCurrentSong( Song * s );
	virtual void songWasDeleted();
};

#endif

